Subject: bug#61667: 29.0.60; Failure to redisplay

From: Gregory Heytings <[email-masked]>
Date: Sun, 26 Feb 2023 00:35:51 +0000

>> So this clearly points to a bug in the way GNOME handles the Emacs 
>> frame. There's one last thing you could try: under GNOME, try the same 
>> experiment, but with Emacs fullscreen.  I've read that GNOME 
>> automatically disables its compositor when an app is fullscreen, but 
>> I'm not 100% sure that's the case.
>
> It doesn't disable its compositor, it just unredirects fullscreen 
> windows that it is 100% sure are opaque and obscuring all other managed 
> windows.
>

You're splitting hairs, aren't you?  Perhaps "disable" is not the most 
accurate word, but the meaning is clear: the compositor is bypassed for 
fullscreen apps.